Skip to content
vocapable.Docs

Create a follow-up task owned by the connection owner

POST
/v1/workspace/automation/actions/create-task
curl --request POST \
--url https://api.vocapable.com/v1/workspace/automation/actions/create-task \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "title": "example", "due_at": "2026-04-15T12:00:00Z", "organization_id": "example", "contact_id": "example", "idempotency_key": "example" }'
Media typeapplication/json
WorkspaceAutomationTaskCreate
object
title
required
Title
string
>= 1 characters <= 300 characters
due_at
Any of:
string format: date-time
organization_id
Any of:
string
contact_id
Any of:
string
idempotency_key
required
Idempotency Key
string
>= 8 characters <= 200 characters
Examplegenerated
{
"title": "example",
"due_at": "2026-04-15T12:00:00Z",
"organization_id": "example",
"contact_id": "example",
"idempotency_key": "example"
}

Successful Response

Media typeapplication/json
WorkspaceAutomationResult
object
id
required
Id
string
kind
required
Kind
string
Allowed values: task note customer
created
required
Created
boolean
Example
{
"kind": "task"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}